Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 2003 - dump-0.4.24.ebuild Sandbox violation
Summary: dump-0.4.24.ebuild Sandbox violation
Status: RESOLVED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Spider (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-22 12:51 UTC by Kingsqueak
Modified: 2003-02-04 19:42 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to fix the sandbox violation for the ebuild file (dump-0.4.24.patch,1.67 KB, patch)
2002-04-22 12:53 UTC, Kingsqueak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kingsqueak 2002-04-22 12:51:27 UTC
Appologies for the earlier patch, it was pretty trashy.

Here's the patch again, and I will also attach as a file



--- dump-0.4.24.ebuild.orig     Fri Nov  9 21:33:03 2001
+++ dump-0.4.24.ebuild  Mon Apr 22 13:38:47 2002
@@ -18,33 +18,29 @@
         sys-apps/star"
 
 src_compile() {
-    local myconf
-    if use readline; then
-       myconf=--enable-readline
-       ln -s /lib/libncurses.so libtermcap.so
-       export LDFLAGS="-L${S}"
-       export CFLAGS="$CFLAGS -L${S}"
-    fi
+       local rlconf 
+       if use readline; then
+               rlconf=--enable-readline
+               ln -s /lib/libncurses.so libtermcap.so
+               export LDFLAGS="-L${S}"
+               export CFLAGS="$CFLAGS -L${S}"
+       fi
+    ./configure --prefix=/usr --with-dumpdatespath=/etc/dumpdates \
+               --with-bingroup=root --enable-largefile ${rlconf} || die \
+               "./configure failed "
 
-    ./configure --prefix=/usr --host=${CHOST} --enable-largefile ${myconf}
-    assert "./configure failed (myconf=$myconf)"
-
-    emake 
-    assert "emake failed (myconf=$myconf)"
+    emake || die "emake failed!" 
 }
-
 src_install () {
-    dodir /sbin
-    dodir /usr/share/man/man8
-    dodir /etc/dumpdates
-    make BINDIR=${D}/sbin MANDIR=${D}/usr/share/man/man8 \
-       DUMPDATESPATH=${D}/etc/dumpdates install || die "make install failed"
-
-    dodoc CHANGES COPYRIGHT KNOWNBUGS MAINTAINERS
-    dodoc README REPORTING-BUGS THANKS TODO
 
-    cd ${D}/sbin
-    rm -f rdump rrestore
-    ln -s dump rdump
-    ln -s restore rrestore
+       dosbin dump/dump restore/restore
+       doman restore/restore.8 dump/dump.8
+       dodoc CHANGES COPYRIGHT KNOWNBUGS MAINTAINERS README \
+               REPORTING-BUGS THANKS TODO
+       dodir ${D}usr/share/doc/${PF}/examples/dump_on_cd
+       docinto examples/dump_on_cd
+       dodoc examples/dump_on_cd/README \
+               examples/dump_on_cd/dump_userinfo.sh \
+               examples/dump_on_cd/start_dump.sh \
+               examples/dump_on_cd/verify_dump.sh
 }
Comment 1 Kingsqueak 2002-04-22 12:53:27 UTC
Created attachment 640 [details, diff]
Patch to fix the sandbox violation for the ebuild file

Apply to the dump-0.4.24.ebuild file

Please notify me of any bonehead mistakes, I recently had an ebuild submission
corrected silently with no explanation, took me a while to figure out why.
Comment 2 Spider (RETIRED) gentoo-dev 2002-05-28 15:01:59 UTC
0.4.28 doesn't break sandbox..

why is this assigned to me? * confusion *